#ifndef _MARGI_IPACK_H_
#define _MARGI_IPACK_H_

extern int margi_ipack_init(struct ipack *p, int size,
			      void (*func)(u8 *buf,  int size, void *priv));

extern void margi_ipack_reset(struct ipack *p);
extern int  margi_ipack_instant_repack(const u8 *buf, int count, struct ipack *p);
extern void margi_ipack_free(struct ipack * p);
extern void margi_send_ipack(struct ipack *p);
extern void margi_ipack_flush(struct ipack *p);

#endif

